import servletunit.struts.MockStrutsTestCase;

public class LoginActionTest extends MockStrutsTestCase {

	// eXgP[X1F[U"koji",pX[h"kitano"ݒ肷ƁA
	public void testLoginSuccess() {
		setRequestPathInfo("/login");
		addRequestParameter("username","koji");
		addRequestParameter("password", "kitano");
		actionPerform();
		verifyForward("success");
	}

	// eXgP[X2F[U"koji",pX[h"kitano"ȊOݒ肷ƁAs
	public void testLoginFail() {
		setRequestPathInfo("/login");
		addRequestParameter("username","koji");
		//pX[h"kitano"ȊOw
		addRequestParameter("password", "nisemono");
		actionPerform();
		verifyForward("error");
	}

	// eXgP[X3F[U"koji"ȊOݒ肷ƁAs
	public void testLoginIllegalUser() {
		setRequestPathInfo("/login");
		addRequestParameter("username","hiroyuki");
		addRequestParameter("password", "kitano");
		actionPerform();
		verifyForward("error");		
	}
	
	//@eXgP[X4:[Uɋ󕶎ݒ肷ƁAErrorIuWFNgɃG[bZ[Wݒ肳
	public void testLoginEmptyUesr() {
		setRequestPathInfo("/login");
		addRequestParameter("username","");
		actionPerform();
		verifyActionErrors(new String[]{"user.Empty"});
	}
}
